This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 570629 - Remote driver client hangs when connecting to Debian/Ubuntu hosts
Remote driver client hangs when connecting to Debian/Ubuntu hosts
Status: CLOSED CURRENTRELEASE
Product: Virtualization Tools
Classification: Community
Component: libvirt (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Libvirt Maintainers
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-04 16:31 EST by Marc Deslauriers
Modified: 2012-04-18 15:46 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-18 15:46:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch to autodetect netcat parameters (2.48 KB, patch)
2010-03-04 16:31 EST, Marc Deslauriers
no flags Details | Diff

  None (edit)
Description Marc Deslauriers 2010-03-04 16:31:33 EST
Created attachment 397928 [details]
Patch to autodetect netcat parameters

Debian/Ubuntu hosts need to add "-q 0" to netcat to properly quit. A similar bug existed in virt-manager:

https://bugzilla.redhat.com/show_bug.cgi?id=517778

Attached is a patch for libvirt that uses the same technique as virt-manager now does to autodetect if the remote netcat tool needs the -q parameter.

Based on the following virt-manager commit:

http://hg.fedorahosted.org/hg/virt-manager/rev/1f781890ea4a
Comment 1 Cole Robinson 2010-03-04 17:53:16 EST
I posted a similar patch upstream last month:

https://www.redhat.com/archives/libvir-list/2010-February/msg00444.html

Danpb wasn't a fan of it (understandably) and suggested a long term approach of making a custom helper to drop in /usr/libexec so that we don't need to rely on 'nc'.

However, until that work is done, it would be nice if one of these patches could be applied.
Comment 2 Eric Blake 2012-04-18 15:46:39 EDT
Fixed in 0.9.7 with this commit:

commit a2b5c57db83559d4fe32ee90fbb6685555388e06
Author: Guido Günther <agx@sigxcpu.org>
Date:   Fri Jul 8 21:07:29 2011 +0200

    Autodetect if the remote nc command supports the -q option
    
    Based on a patch by Marc Deslauriers <marc.deslauriers@ubuntu.com>
    
    RH: https://bugzilla.redhat.com/show_bug.cgi?id=562176
    Ubuntu: https://bugs.launchpad.net/ubuntu/+source/libvirt/+bug/517478
    Debian: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=573172

Note You need to log in before you can comment on or make changes to this bug.